grk::RoiShiftFilter< T > Class Template Reference

`#include <PostT1DecompressFilters.h>`

## Public Member Functions

| RoiShiftFilter (DecompressBlockExec *block)
void | copy (T *dest, T *src, uint32_t len)

## Private Attributes

uint32_t | roiShift

## Constructor & Destructor Documentation

## RoiShiftFilter()

template<typename T >

grk::RoiShiftFilter< T >::RoiShiftFilter | ( | DecompressBlockExec * | block | ) |

inline

## Member Function Documentation

## copy()

template<typename T >

void grk::RoiShiftFilter< T >::copy | ( | T * | dest,
|  | T * | src,
|  | uint32_t | len
| ) |  |

inline

References grk::grk_read(), and grk::RoiShiftFilter< T >::roiShift.

## Member Data Documentation

## roiShift

template<typename T >

uint32_t grk::RoiShiftFilter< T >::roiShift

private

Referenced by grk::RoiShiftFilter< T >::copy().

The documentation for this class was generated from the following file:

- PostT1DecompressFilters.h